## shake 1.0.2

=== Makefile ===
# $Id: Makefile,v 1.5 2007/12/14 18:18:19 carregal Exp $

CONFIG= ./config

include $(CONFIG)
SHAKE_BIN = src/bin/shake
ROOT_LUAS = src/shake/shake.lua 
SHAKE_LUAS= src/shake/stir.lua 
APP_FILES = src/apps/shake/helper.lua src/apps/shake/init.lua src/apps/shake/shake_suite.lp src/apps/shake/shake.lp
APP_CSS = src/apps/shake/css/doc.css src/apps/shake/css/shake.css
APP_IMG = src/apps/shake/img/shake.gif  

all:

install:
	chmod +x $(SHAKE_BIN)
	mkdir -p $(LUA_DIR)/shake
	cp $(ROOT_LUAS) $(LUA_DIR)
	cp $(SHAKE_LUAS) $(LUA_DIR)/shake
	cp $(SHAKE_BIN) $(SYS_BINDIR)
	
install_app:
	mkdir -p $(CGILUA_APPSDIR)/shake
	mkdir -p $(CGILUA_APPSDIR)/shake/css
	mkdir -p $(CGILUA_APPSDIR)/shake/img
	cp $(APP_FILES) $(CGILUA_APPSDIR)/shake
	cp $(APP_CSS) $(CGILUA_APPSDIR)/shake/css
	cp $(APP_IMG) $(CGILUA_APPSDIR)/shake/img

## shake 1.0.1

=== debian/changelog ===
shake (1.0.1-6) unstable; urgency=low

  * source format 3.0 quilt
  * bumped standards-version to 3.9.2, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 21 Jul 2011 17:37:53 +0200

shake (1.0.1-5) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes
  * lua -> Lua in control file
  * added misc:Depends to Depends 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 18:24:57 +0200

shake (1.0.1-4) unstable; urgency=low

  * patch to fix the return code sync with upstream 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 19 Mar 2008 16:48:44 +0100

shake (1.0.1-3) unstable; urgency=low

  * Use lua5.1 as interpreter and not lua 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 21 Jan 2008 21:21:48 +0100

shake (1.0.1-2) unstable; urgency=low

  * better package description
  * added patch to make the script return 1 if fail count is greater then 0
    (Closes: #457786)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Jan 2008 17:21:51 +0100

shake (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #457220)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 20 Dec 2007 14:51:12 +0100

=== debian/control ===
Source: shake
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), liblua5.1-leg0, liblua5.1-filesystem0, help2man, lua5.1, quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/shake
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/shake
Homepage: http://shake.luaforge.net

Package: shake
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, liblua5.1-leg0, liblua5.1-filesystem0, lua5.1
Description: Testing engine for the Lua language version 5.1
 The shake utility is a simple and transparent test engine for Lua.
 .
 Shake gives concise reports when the tests succeed, while it prints detailed
 traces when tests fail.
 .
 Regular Lua test files, if written using only standard assert and print calls,
 can be run with shake with no modifications. 
 .
 This package contains the shake command line utility, the Lua modules
 that implement shake functionalities and the documentation for both.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_DESTDIR := debian/tmp/
DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

common-install-indep::
	# binary
	mkdir -p $(DEB_DESTDIR)/usr/bin/
	cp src/bin/shake $(DEB_DESTDIR)/usr/bin/
	# lib
	mkdir -p $(DEB_DESTDIR)/usr/share/lua/5.1/shake/
	cp src/shake/*.lua $(DEB_DESTDIR)/usr/share/lua/5.1/shake/
	cd $(DEB_DESTDIR)/usr/share/lua/5.1/shake/;\
		ln -s shake.lua init.lua
	# man 
	mkdir -p $(DEB_DESTDIR)/usr/share/man/man1/
	cd src; ln -s shake/shake.lua .; chmod a+x bin/shake;
	cd src; help2man -n "testing engine for lua" bin/shake -N -o ../shake.1
	cd src; rm shake.lua; chmod a-x bin/shake
	# test
	cd tests; ln -s ../src/shake .; ln -s shake/shake.lua .
	cd tests; lua5.1 test.lua
	@echo
	@echo  '*** Tests passed ***'
	@echo
	cd tests; rm shake shake.lua

clean::
	rm -f shake.1

## shake 1.0.2

=== debian/changelog ===
shake (1.0.2-5) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Using Salsa instead of Alioth.
  * debian/salsa-ci.yml: created.
  * debian/watch: added a fake site to explain about the
    current status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 09 Apr 2025 23:55:36 -0300

shake (1.0.2-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 22 Jun 2023 13:50:36 -0300

shake (1.0.2-3) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- Leonardo Lago Moreno <leleolagomoreno@gmail.com>  Sat, 27 May 2023 11:04:09 -0300

shake (1.0.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995529)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 07:10:09 -0300

shake (1.0.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 16:32:51 +0100

shake (1.0.2-1) unstable; urgency=low

  * New upstream snapshot
  * Packaging moved to git
  * Transitional packages removed
  * Depend on lua-leg >= 0.1.3 (Closes: #719374)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 30 May 2012 21:42:49 +0200

shake (1.0.1-7) unstable; urgency=low

  * switch to dh 7
  * bumped standards-version to 3.9.3, no changes
  * dependencies fixed

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 30 May 2012 21:41:25 +0200

=== debian/control ===
Source: shake
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), lua-leg (>= 0.1.3), lua-filesystem, help2man, lua5.1
Standards-Version: 4.7.2
Homepage: http://shake.luaforge.net
Vcs-Browser: https://salsa.debian.org/debian/shake
Vcs-Git: https://salsa.debian.org/debian/shake.git

Package: shake
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, lua5.1-leg, lua-leg (>= 0.1.3), lua5.1-filesystem, lua5.1
Description: Testing engine for the Lua language version 5.1
 The shake utility is a simple and transparent test engine for Lua.
 .
 Shake gives concise reports when the tests succeed, while it prints detailed
 traces when tests fail.
 .
 Regular Lua test files, if written using only standard assert and print calls,
 can be run with shake with no modifications.
 .
 This package contains the shake command line utility, the Lua modules
 that implement shake functionalities and the documentation for both.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

DEB_DESTDIR=debian/tmp/

override_dh_auto_build:
	mkdir -p $(DEB_DESTDIR)/usr/share/man/man1/
	cd src; ln -s shake/shake.lua .; chmod a+x bin/shake;
	cd src; help2man -n "testing engine for lua" bin/shake -N -o ../shake.1
	cd src; rm shake.lua; chmod a-x bin/shake

override_dh_auto_install:
	# binary
	mkdir -p $(DEB_DESTDIR)/usr/bin/
	cp src/bin/shake $(DEB_DESTDIR)/usr/bin/
	# lib
	mkdir -p $(DEB_DESTDIR)/usr/share/lua/5.1/shake/
	cp src/shake/*.lua $(DEB_DESTDIR)/usr/share/lua/5.1/shake/
	cd $(DEB_DESTDIR)/usr/share/lua/5.1/shake/; mv shake.lua ..

override_dh_auto_test:
	cd tests; ln -s ../src/shake .; ln -s shake/shake.lua .
	cd tests; lua5.1 test.lua
	@echo
	@echo  '*** Tests passed ***'
	@echo
	cd tests; rm shake shake.lua

override_dh_auto_clean:
	rm -f shake.1
